Package org.gitana.platform.client.archive

# Interface Archive

All Superinterfaces:
  `AccessControllable`, `Attachable`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `org.gitana.platform.services.archive.Manifest`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`, `VaultDocument`

All Known Implementing Classes:
  `ArchiveImpl`

public interface Archive extends VaultDocument, Attachable, AccessControllable, Selfable, org.gitana.platform.services.archive.Manifest

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_TEMPLATE`
`static final String`
`FIELD_TEMPLATE_KEY`
`static final String`
`FIELD_TEMPLATE_TYPE`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.services.archive.Manifest

`FIELD_ARTIFACT_ID, FIELD_ARTIFACT_INCLUDES, FIELD_ARTIFACT_PARTS, FIELD_CONTENTS, FIELD_END_CHANGESET, FIELD_END_DATE, FIELD_GROUP_ID, FIELD_MODEL, FIELD_SELECTED_BRANCH_IDS, FIELD_SOURCES, FIELD_START_CHANGESET, FIELD_START_DATE, FIELD_TIP_CHANGESET_ONLY, FIELD_TYPE, FIELD_VERSION_ID`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`download()`
`String`
`getArtifactId()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getContents()`
`String`
`getGroupId()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getIncludes()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getParts()`
`String`
`getTemplate()`
`String`
`getTemplateKey()`
`String`
`getTemplateType()`
`String`
`getType()`
`String`
`getVersionId()`
`void`
`markAsTemplate()`
`void`
`setTemplate(boolean template)`
`void`
`setTemplateKey(String templateKey)`
`void`
`setTemplateType(String templateType)`
`void`
`unmarkAsTemplate()`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

### Methods inherited from interface org.gitana.platform.client.vault.VaultDocument

`getPlatform, getVault, getVaultId`

## Field Details

### FIELD_TEMPLATE

static final String FIELD_TEMPLATE

See Also:
  - Constant Field Values

### FIELD_TEMPLATE_TYPE

static final String FIELD_TEMPLATE_TYPE

See Also:
  - Constant Field Values

### FIELD_TEMPLATE_KEY

static final String FIELD_TEMPLATE_KEY

See Also:
  - Constant Field Values

## Method Details

### getGroupId

String getGroupId()

### getArtifactId

String getArtifactId()

### getVersionId

String getVersionId()

### download

InputStream download() throws IOException

Throws:
  `IOException`

### getContents

com.fasterxml.jackson.databind.node.ObjectNode getContents()

### getIncludes

com.fasterxml.jackson.databind.node.ObjectNode getIncludes()

### getParts

com.fasterxml.jackson.databind.node.ObjectNode getParts()

### getType

String getType()

### setTemplate

void setTemplate(boolean template)

### getTemplate

String getTemplate()

### setTemplateType

void setTemplateType(String templateType)

### getTemplateType

String getTemplateType()

### setTemplateKey

void setTemplateKey(String templateKey)

### getTemplateKey

String getTemplateKey()

### markAsTemplate

void markAsTemplate()

### unmarkAsTemplate

void unmarkAsTemplate()